Package org.eclipse.emf.cdo.transfer.ui

# Class TransferDragListener

java.lang.Object
org.eclipse.swt.dnd.DragSourceAdapter
org.eclipse.net4j.util.ui.dnd.DNDDragListener<Object>
org.eclipse.emf.cdo.transfer.ui.TransferDragListener

All Implemented Interfaces:
  `EventListener`, `DragSourceListener`

public class TransferDragListener extends org.eclipse.net4j.util.ui.dnd.DNDDragListener<Object>
A `drag listener` that can `support` a `viewer` to create and perform `transfers` of the dragged elements to target `elements`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TransferDragListener(StructuredViewer viewer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dragFinished(DragSourceEvent event)`
`protected org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`protected Object`
`getObject(IStructuredSelection selection)`
`protected TransferUIProvider[]`
`getUIProviders()`
`static TransferDragListener`
`support(StructuredViewer viewer)`

### Methods inherited from class org.eclipse.net4j.util.ui.dnd.DNDDragListener

`dragSetData, dragStart, getTransfers, getViewer, setTransfers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransferDragListener

protected TransferDragListener(StructuredViewer viewer)

## Method Details

### getContainer

protected org.eclipse.net4j.util.container.IManagedContainer getContainer()

### getUIProviders

protected TransferUIProvider[] getUIProviders()

### getObject

protected Object getObject(IStructuredSelection selection)

Specified by:
  `getObject` in class `org.eclipse.net4j.util.ui.dnd.DNDDragListener<Object>`

### dragFinished

public void dragFinished(DragSourceEvent event)

Specified by:
  `dragFinished` in interface `DragSourceListener`
Overrides:
  `dragFinished` in class `DragSourceAdapter`

### support

public static TransferDragListener support(StructuredViewer viewer)